<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}	
	// check tồn tại hay không
	$get_check = mysqli_query($conn, "Select * From account_web WHERE Account = '".$_POST['user']."'");
	if(mysqli_num_rows($get_check)){
    /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
    $get_Server = mysqli_query($conn, "Select * From config_server WHERE ServerID = '" . $_POST['sv'] . "'");
    if (!mysqli_num_rows($get_Server)) {
        die('Lấy thông tin Máy chủ thất bại.');
    }
    $get_Server = mysqli_fetch_array($get_Server, MYSQLI_ASSOC);
    $conn_char  = @mysqli_connect($get_Server['IPdata'], $get_Server['Userdata'], $get_Server['PassData'], $get_Server['Databases']);
    if ($conn_char->mysqli_connect_errno) {
        die("Connection failed: " . $conn_char->mysqli_connect_errno);
    }
	mysqli_query($conn_char, "SET NAMES 'utf8'"); 
    /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */	
	    $get_nhannvat = mysqli_query($conn_char, "Select * From Player WHERE Account = '" . $_POST['user'] . "' and ID = '".$_POST['id']."'");
    if (mysqli_num_rows($get_nhannvat)) {
		$get_nhannvat = mysqli_fetch_array($get_nhannvat, MYSQLI_ASSOC);
                // chuyển thư
                $IDChar   = $get_nhannvat['ID'];
				
				$chuoititle = json_encode(array('type' => "5"));

                $url      = "http://" . $get_Server['IpJson'] . ":" . $get_Server['PortJson'] . "/efunsendreward?userId=1&roleId=$IDChar&serverCode=".$get_Server['ServerID']."&title=$chuoititle&content=" . urlencode($_POST['text']);
                $ch       = curl_init();
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                curl_setopt($ch, CURLOPT_HEADER, 0);
                curl_setopt($ch, CURLOPT_URL, $url);
                $output = curl_exec($ch);
                $reset  = json_decode($output);
                if ($reset->code == 1000) {
                    // success		
		$return['type'] = 0;
		$return['text'] = 'Thành công.';
		echo json_encode($return);
		exit();	
                } else {
		$return['type'] = 1;
		$return['text'] = $reset->message;
		echo json_encode($return);
		exit();							
                }		
	} else {
		$return['type'] = 1;
		$return['text'] = 'Nhân vật này không tồn tại.';
		echo json_encode($return);
		exit();		
	}
		} else {
		$return['type'] = 1;
		$return['text'] = 'Tài khoản này không tồn tại.';
		echo json_encode($return);
		exit();
	}
}

?>